Skip to content
This repository
Browse code

Remove jeweler

  • Loading branch information...
commit 93f2b452cbd0d91272580c282d5a85e60b763b8b 1 parent 50bc687
Piotr Solnica authored November 15, 2011
12  Gemfile
... ...
@@ -1,6 +1,8 @@
1 1
 require 'pathname'
2 2
 
3  
-source 'http://rubygems.org'
  3
+source :rubygems
  4
+
  5
+gemspec
4 6
 
5 7
 SOURCE         = ENV.fetch('SOURCE', :git).to_sym
6 8
 REPO_POSTFIX   = SOURCE == :path ? ''                                : '.git'
@@ -20,22 +22,14 @@ gem 'json',       '~> 1.5.4', :platforms => [ :ruby_18, :jruby ]
20 22
 gem 'json_pure',  '~> 1.5.4', :platforms => [ :mswin ]
21 23
 
22 24
 group :development do
23  
-
24 25
   gem 'dm-validations', DM_VERSION,
25 26
     SOURCE  => "#{DATAMAPPER}/dm-validations#{REPO_POSTFIX}",
26 27
     :branch => CURRENT_BRANCH
27  
-
28  
-  gem 'jeweler',        '~> 1.6.4'
29  
-  gem 'rake',           '~> 0.9.2'
30  
-  gem 'rspec',          '~> 1.3.2'
31  
-
32 28
 end
33 29
 
34 30
 group :testing do
35  
-
36 31
   gem 'nokogiri',    '~> 1.4.4'
37 32
   gem 'libxml-ruby', '~> 2.2.2', :platforms => [ :mri, :mswin ]
38  
-
39 33
 end
40 34
 
41 35
 platforms :mri_18 do
23  Rakefile
... ...
@@ -1,25 +1,4 @@
1 1
 require 'rubygems'
2 2
 require 'rake'
3 3
 
4  
-begin
5  
-  gem 'jeweler', '~> 1.6.4'
6  
-  require 'jeweler'
7  
-
8  
-  Jeweler::Tasks.new do |gem|
9  
-    gem.name        = 'dm-serializer'
10  
-    gem.summary     = 'DataMapper plugin for serializing Resources and Collections'
11  
-    gem.description = gem.summary
12  
-    gem.email       = 'vandenberg.guy [a] gmail [d] com'
13  
-    gem.homepage    = 'http://github.com/datamapper/%s' % gem.name
14  
-    gem.authors     = [ 'Guy van den Berg' ]
15  
-    gem.has_rdoc    = 'yard'
16  
-
17  
-    gem.rubyforge_project = 'datamapper'
18  
-  end
19  
-
20  
-  Jeweler::GemcutterTasks.new
21  
-
22  
-  FileList['tasks/**/*.rake'].each { |task| import task }
23  
-rescue LoadError
24  
-  puts 'Jeweler (or a dependency) not available. Install it with: gem install jeweler -v 1.6.4'
25  
-end
  4
+FileList['tasks/**/*.rake'].each { |task| import task }
110  dm-serializer.gemspec
... ...
@@ -1,97 +1,25 @@
1  
-# Generated by jeweler
2  
-# DO NOT EDIT THIS FILE DIRECTLY
3  
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
4 1
 # -*- encoding: utf-8 -*-
  2
+require File.expand_path('../lib/dm-serializer/version', __FILE__)
5 3
 
6  
-Gem::Specification.new do |s|
7  
-  s.name = "dm-serializer"
8  
-  s.version = "1.3.0.beta"
  4
+Gem::Specification.new do |gem|
  5
+  gem.authors     = [ 'Guy van den Berg', 'Dan Kubb' ]
  6
+  gem.email       = [ "dan.kubb@gmail.com" ]
  7
+  gem.summary     = "DataMapper plugin for serializing Resources and Collections"
  8
+  gem.description = gem.summary
  9
+  gem.homepage    = "http://datamapper.org"
9 10
 
10  
-  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11  
-  s.authors = ["Guy van den Berg"]
12  
-  s.date = "2011-10-09"
13  
-  s.description = "DataMapper plugin for serializing Resources and Collections"
14  
-  s.email = "vandenberg.guy [a] gmail [d] com"
15  
-  s.extra_rdoc_files = [
16  
-    "LICENSE",
17  
-    "README.rdoc"
18  
-  ]
19  
-  s.files = [
20  
-    "Gemfile",
21  
-    "LICENSE",
22  
-    "README.rdoc",
23  
-    "Rakefile",
24  
-    "VERSION",
25  
-    "benchmarks/to_json.rb",
26  
-    "benchmarks/to_xml.rb",
27  
-    "dm-serializer.gemspec",
28  
-    "lib/dm-serializer.rb",
29  
-    "lib/dm-serializer/common.rb",
30  
-    "lib/dm-serializer/to_csv.rb",
31  
-    "lib/dm-serializer/to_json.rb",
32  
-    "lib/dm-serializer/to_xml.rb",
33  
-    "lib/dm-serializer/to_yaml.rb",
34  
-    "lib/dm-serializer/xml.rb",
35  
-    "lib/dm-serializer/xml/libxml.rb",
36  
-    "lib/dm-serializer/xml/nokogiri.rb",
37  
-    "lib/dm-serializer/xml/rexml.rb",
38  
-    "spec/fixtures/cow.rb",
39  
-    "spec/fixtures/planet.rb",
40  
-    "spec/fixtures/quan_tum_cat.rb",
41  
-    "spec/fixtures/vehicle.rb",
42  
-    "spec/lib/serialization_method_shared_spec.rb",
43  
-    "spec/public/serializer_spec.rb",
44  
-    "spec/public/to_csv_spec.rb",
45  
-    "spec/public/to_json_spec.rb",
46  
-    "spec/public/to_xml_spec.rb",
47  
-    "spec/public/to_yaml_spec.rb",
48  
-    "spec/rcov.opts",
49  
-    "spec/spec.opts",
50  
-    "spec/spec_helper.rb",
51  
-    "tasks/spec.rake",
52  
-    "tasks/yard.rake",
53  
-    "tasks/yardstick.rake"
54  
-  ]
55  
-  s.homepage = "http://github.com/datamapper/dm-serializer"
56  
-  s.require_paths = ["lib"]
57  
-  s.rubyforge_project = "datamapper"
58  
-  s.rubygems_version = "1.8.11"
59  
-  s.summary = "DataMapper plugin for serializing Resources and Collections"
  11
+  gem.files            = `git ls-files`.split("\n")
  12
+  gem.test_files       = `git ls-files -- {spec}/*`.split("\n")
  13
+  gem.extra_rdoc_files = %w[LICENSE README.rdoc]
60 14
 
61  
-  if s.respond_to? :specification_version then
62  
-    s.specification_version = 3
  15
+  gem.name          = "dm-serializer"
  16
+  gem.require_paths = [ "lib" ]
  17
+  gem.version       = DataMapper::Serializer::VERSION
63 18
 
64  
-    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.3.0.beta') then
65  
-      s.add_runtime_dependency(%q<dm-core>, ["~> 1.3.0.beta"])
66  
-      s.add_runtime_dependency(%q<fastercsv>, ["~> 1.5.4"])
67  
-      s.add_runtime_dependency(%q<multi_json>, ["~> 1.0.3"])
68  
-      s.add_runtime_dependency(%q<json>, ["~> 1.5.4"])
69  
-      s.add_runtime_dependency(%q<json_pure>, ["~> 1.5.4"])
70  
-      s.add_development_dependency(%q<dm-validations>, ["~> 1.3.0.beta"])
71  
-      s.add_development_dependency(%q<jeweler>, ["~> 1.6.4"])
72  
-      s.add_development_dependency(%q<rake>, ["~> 0.9.2"])
73  
-      s.add_development_dependency(%q<rspec>, ["~> 1.3.2"])
74  
-    else
75  
-      s.add_dependency(%q<dm-core>, ["~> 1.3.0.beta"])
76  
-      s.add_dependency(%q<fastercsv>, ["~> 1.5.4"])
77  
-      s.add_dependency(%q<multi_json>, ["~> 1.0.3"])
78  
-      s.add_dependency(%q<json>, ["~> 1.5.4"])
79  
-      s.add_dependency(%q<json_pure>, ["~> 1.5.4"])
80  
-      s.add_dependency(%q<dm-validations>, ["~> 1.3.0.beta"])
81  
-      s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
82  
-      s.add_dependency(%q<rake>, ["~> 0.9.2"])
83  
-      s.add_dependency(%q<rspec>, ["~> 1.3.2"])
84  
-    end
85  
-  else
86  
-    s.add_dependency(%q<dm-core>, ["~> 1.3.0.beta"])
87  
-    s.add_dependency(%q<fastercsv>, ["~> 1.5.4"])
88  
-    s.add_dependency(%q<multi_json>, ["~> 1.0.3"])
89  
-    s.add_dependency(%q<json>, ["~> 1.5.4"])
90  
-    s.add_dependency(%q<json_pure>, ["~> 1.5.4"])
91  
-    s.add_dependency(%q<dm-validations>, ["~> 1.3.0.beta"])
92  
-    s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
93  
-    s.add_dependency(%q<rake>, ["~> 0.9.2"])
94  
-    s.add_dependency(%q<rspec>, ["~> 1.3.2"])
95  
-  end
96  
-end
  19
+  gem.add_runtime_dependency('dm-core',    '~> 1.3.0.beta')
  20
+  gem.add_runtime_dependency('multi_json', '~> 1.0.3')
  21
+  gem.add_runtime_dependency('fastercsv',  '~> 1.5.4')
97 22
 
  23
+  gem.add_development_dependency('rake',  '~> 0.9.2')
  24
+  gem.add_development_dependency('rspec', '~> 1.3.2')
  25
+end
5  lib/dm-serializer/version.rb
... ...
@@ -0,0 +1,5 @@
  1
+module DataMapper
  2
+  module Serializer
  3
+    VERSION = '1.3.0.beta'
  4
+  end
  5
+end

0 notes on commit 93f2b45

Please sign in to comment.
Something went wrong with that request. Please try again.